<script setup lang="ts">
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";

onLaunch(() => {
  console.log("App Launch");

  uni.$on('tabBarClicked', (data) => {
    console.log('TabBar被点击:', data);
    if (data.page === 'mailbox') {
      console.log('用户尝试访问信箱，但未登录');
    }
  });

});
onShow(() => {
  console.log("App Show");
});
onHide(() => {
  console.log("App Hide");
});
</script>

<style>
</style>
